<? $pages_count = ceil($this->photos_count / $this->photos_perPage); ?>

<? $vac = $this->escort->getVacation(); ?>
<? if ( strtotime($vac->vac_date_from ) <= strtotime(date('Y-m-d')) &&  strtotime($vac->vac_date_to ) >= strtotime(date('Y-m-d')) ): ?>
	<div class="top_msg">
		<?= $this->t('vacations_currently_date', array('DATE' => date("d M Y", strtotime($vac->vac_date_to)))) ?>
	</div>
<? endif; ?>

<? $is_susp = $this->escort->isSuspicious(); ?>

<? if ( $is_susp ): ?>
<div style="text-align:center;"><img src="/img/v2.1/suspicious_<?= $this->lang() ?>.png" alt="" /></div>
<? elseif ( $this->escort->isVerified() ): ?>
<div style="text-align:center;"><img src="/img/v2.1/verified_<?= $this->lang() ?>.png" alt="" /></div>
<? else: ?>
<div class="mb45"></div>
<? endif; ?>

<? if ( $this->allowChat2() && $this->online_status ): ?>
	<table>
		<tr>
			<td>
				<? if (Model_Users::getCurrent()): ?>
					<a href="javascript:;" onClick="chat.chatWith('<?= $this->escort_user_id ?>');" class="<?= $this->lang() ?>_chat_with_me"></a>
				<? else: ?>
					<a href="#" class="<?= $this->lang() ?>_chat_with_me chat_login"></a>
				<? endif; ?>
			</td>
		</tr>
	</table>
<? endif; ?>

<div id="gallery">
	<? if( count($this->photos) ): ?>
		<? foreach( $this->photos as $k => $photo ): ?>		
		<? 
			$width = 500; $height = 375;
			if ( $photo->is_portrait ) { $width = 400; $height = 600; }
			
			$noclick = false;
			if ( $photo->width < $width ) {
				$noclick = true;
			}
			else if ( 100 - ( ($width / $photo->width ) * 100) < 30 ) {
				$noclick = true;
			}
		?>
		<div class="w<?= $width ?>">
			<a href="<?= ( $photo->is_portrait ) ? $photo->getUrl('orig') : $photo->getUrl('orig') ?>" rel="lightbox-atomium">
			<img alt="" <? ( $noclick ) ? 'class="noclick"' : '' ?> width="<?= $width ?>" height="<?= $height ?>" src="<?= ( $photo->is_portrait ) ? $photo->getUrl('pp') : $photo->getUrl('pl') ?>" />
			<?= ( $noclick ) ? '' : '<span class="lupa"></span>' ?>
			<? if ( $is_susp ): ?><span class="susp-big-icon-<?= ($photo->is_portrait) ? 'p' : 'l' ?>"></span><? endif; ?>
			</a>
		</div>
		
		<? if ( ($k + 1) == 6 ): ?>
			<? break; ?>
		<? endif; ?>
	
		<? endforeach; ?>
		
		<? if( $pages_count > 1 ): ?>
		<div class="more-photos">
			<div class="more-photos-list none">			
			<? for( $i = $k + 1; $i < count($this->photos); $i++ ): ?>
			<?
				$photo = $this->photos[$i];
				$width = 500; $height = 375;
				if ( $photo->is_portrait ) { $width = 400; $height = 600; }

				$noclick = false;
				if ( $photo->width < $width ) {
					$noclick = true;
				}
				else if ( 100 - ( ($width / $photo->width ) * 100) < 30 ) {
					$noclick = true;
				}
			?>
			<div class="w<?= $width ?>">
				<a href="<?= ( $photo->is_portrait ) ? $photo->getUrl('orig') : $photo->getUrl('orig') ?>" rel="lightbox-atomium">
				<img alt="" <? ( $noclick ) ? 'class="noclick"' : '' ?> width="<?= $width ?>" height="<?= $height ?>" src="<?= ( $photo->is_portrait ) ? $photo->getUrl('pp') : $photo->getUrl('pl') ?>" />
				<?= ( $noclick ) ? '' : '<span class="lupa"></span>' ?>
				<? if ( $is_susp ): ?><span class="susp-big-icon-<?= ($photo->is_portrait) ? 'p' : 'l' ?>"></span><? endif; ?>
				</a>
			</div>
			<? endfor; ?>
			</div>
			
			<br/><a href="#" class="load-more" rel="<?= $this->photos_page + 1 ?>"><?= __('load_more_photos') ?></a>
			
		</div>
		<? endif; ?>
	<? endif; ?>
</div>

<div id="setcard-actions">
	<a href="#" rel="<?= $this->getLink('report-problem') ?>?escort_id=<?= $this->escort->id ?>" class="report-problem"><img  src="/img/v2.1/report_<?= $this->lang() ?>.png" alt="" /></a>
	<a href="#" rel="<?= $this->getLink('tell-friend') ?>" class="tell-friend">
		<div class="i">
			<div class="ii"><span><?= __('tell_friend') ?></span></div>
		</div>
	</a>
	<a href="#" rel="<?= $this->getLink('susp-photo') ?>?escort_id=<?= $this->escort->id ?>" class="susp-photo">
		<div class="i">
			<div class="ii"><span><?= __('report_fake') ?></span></div>
		</div>
	</a>
	<div class="clear"></div>
</div>

<div class="clear"></div>